#include <avr/io.h>
#include <util/delay.h>
#include <avr/pgmspace.h>

#define output(directions,pin) (directions |= pin) // set port direction for output
#define set(port,pin) (port |= pin) // set port pin
#define clear(port,pin) (port &= (~pin)) // clear port pin
#define pin_test(pins,pin) (pins & pin) // test for port pin
#define bit_test(byte,bit) (byte & (1 << bit)) // test for bit set
#define position_delay() _delay_ms(1000)


#define LED_port PORTA
#define LED_direction DDRA
#define LED_pin (1 << PA6)

int main(void) {

  CLKPR = (1 << CLKPCE);
  CLKPR = (0 << CLKPS3) | (0 << CLKPS2) | (0 << CLKPS1) | (0 << CLKPS0);

  output(LED_direction, LED_pin);
  clear(LED_port, LED_pin);

  while(1) {
    set(LED_port, LED_pin);
    _delay_us(1000);
    set(LED_port, LED_pin);
    _delay_us(1000);
  }

  return 0;
}
